# $Revision: 1.2 $, $Date: 2002/10/18 13:09:46 $

%include	/usr/lib/rpm/macros.python
%define 	module ipaddr

Summary:	Python module is useful to manipulate IP addresses (sets)
Summary(pl):	Modu jzyka Python do manipulacji adresami IP
Name:		python-%{module}
Version:	1.1
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	ftp://ftp.cendio.se/pub/playground/python/%{module}-%{version}.tar.gz
URL:		http://www.vex.net/parnassus/apyllo.py/126307487
%pyrequires_eq 	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is useful if you need to manipulate IP addresses or sets
of IP addresses.

%description -l pl
Modu jzyka Python do manipulacji adresami IP.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}
install *.py $RPM_BUILD_ROOT%{py_sitedir}

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-ipaddr.spec,v $
Revision 1.2  2002/10/18 13:09:46  wrobell
- fixed pl description and summary
- COPYING file removed from documentation (known license)
- adapterized
- minor improvements

Revision 1.1  2002/10/18 12:24:46  matkor
- tiny but useful module

